Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Properties | List of all members
Microscopic_Traffic_Simulator.ViewModels.ConstructionViewModel Class Reference

Viewmodel for construction panel. More...

Inheritance diagram for Microscopic_Traffic_Simulator.ViewModels.ConstructionViewModel:

## Classes
class | BuildCellularTopologyMessage
| Message for sending geometric topology simulation control viewmodel to build cellular topology from it.
class | GeometricTopologyMessage
| Message for sending geometric topology to other viewmodels after creating or opening geomtric topology.
class | GeometricTopologyModifiedMessage
| Message for sending information about modification of geometric topology.
class | IsConstructionModeChangedMessage
| Message about change of the CurrentBuildingMode containing new value as parameter
class | LaneTypeChangedMessage
| Contains information about change of lane type and actual current lane type.

## Properties
BuildingMode | CurrentBuildingMode`[get, set]`
| Current building mode. More...
LaneType | CurrentLaneType`[get, set]`
| Currently selected lane type. More...
GeneratorType | CurrentGeneratorType`[get, set]`
| Currently selected generator type. More...
Properties inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
virtual bool | ThrowOnInvalidPropertyName`[get]`
| Returns whether an exception is thrown, or if a Debug.Fail() is used when an invalid property name is passed to the VerifyPropertyName method. The default value is false, but subclasses used by unit tests might override this property's getter to return true. More...

## Additional Inherited Members
Public Member Functions inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
void | VerifyPropertyName (string propertyName)
| Warns the developer if this object does not have a public property with the specified name. This method does not exist in a Release build. More...
void | Dispose ()
| Invoked when this object is being removed from the application and will be subject to garbage collection. More...
Protected Member Functions inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
| ViewModelBase ()
| Create viewmodel base. More...
virtual void | OnPropertyChanged (string propertyName)
| Raises this object's PropertyChanged event. More...
virtual void | OnDispose ()
| Child classes can override this method to perform clean-up logic, such as removing event handlers. More...
Protected Attributes inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
Messenger | messenger
| Instance of messenger for communicating between view models. More...
Events inherited from Microscopic_Traffic_Simulator.ViewModels.ViewModelBase
PropertyChangedEventHandler | PropertyChanged
| Raised when a property on this object has a new value. More...

## Detailed Description

Viewmodel for construction panel.

Definition at line 25 of file ConstructionViewModel.cs.

## Property Documentation

BuildingMode Microscopic_Traffic_Simulator.ViewModels.ConstructionViewModel.CurrentBuildingMode
| get set

Current building mode.

Definition at line 71 of file ConstructionViewModel.cs.

GeneratorType Microscopic_Traffic_Simulator.ViewModels.ConstructionViewModel.CurrentGeneratorType
| get set

Currently selected generator type.

Definition at line 107 of file ConstructionViewModel.cs.

LaneType Microscopic_Traffic_Simulator.ViewModels.ConstructionViewModel.CurrentLaneType
| get set

Currently selected lane type.

Definition at line 89 of file ConstructionViewModel.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/ViewModels/ConstructionViewModel.cs